summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkus Krogh <markus@nordu.net>2018-10-19 14:09:29 +0200
committerMarkus Krogh <markus@nordu.net>2018-10-19 14:09:29 +0200
commit77a0ac492e0b0e2d290d4bd6753f6302abeac73e (patch)
treed8fc124d13013214f72c933fb68c853d161541f2
parentcdf932d65e5b51390b53c765fbfbf585bc0558ca (diff)
Update to v3.4.0 + check ldap conectivity on start
-rw-r--r--compose-prod.yml4
-rw-r--r--idp/Dockerfile2
-rwxr-xr-xidp/shib-entrypoint.sh6
-rw-r--r--idp/shibboleth-identity-provider-3.3.2.tar.gz.sha2561
-rw-r--r--idp/shibboleth-identity-provider-3.4.0.tar.gz.sha2561
5 files changed, 10 insertions, 4 deletions
diff --git a/compose-prod.yml b/compose-prod.yml
index cd78b73..47c7f22 100644
--- a/compose-prod.yml
+++ b/compose-prod.yml
@@ -1,7 +1,8 @@
version: '3'
services:
shibboleth-docker:
- build: ./idp
+ image: shibboleth-docker
+ #build: ./idp
environment:
- JAVA_OPTIONS=-Xmx1500m
- IDP_HOSTNAME=idp.nordu.net
@@ -19,5 +20,4 @@ services:
links:
- shibboleth-docker
ports:
- - '80:80'
- '443:443'
diff --git a/idp/Dockerfile b/idp/Dockerfile
index ce3b448..728d7d6 100644
--- a/idp/Dockerfile
+++ b/idp/Dockerfile
@@ -2,7 +2,7 @@ FROM jetty:9-alpine
LABEL authors="Markus Krogh <markus@nordu.net>,Jesper B. Rosenkilde <jbr@nordu.net>"
USER root
-ENV IDP_VERSION 3.3.2
+ENV IDP_VERSION 3.4.0
COPY install.properties /opt/
COPY nordu-ldap.properties /opt/
COPY shibboleth-identity-provider-${IDP_VERSION}.tar.gz.sha256 /opt/
diff --git a/idp/shib-entrypoint.sh b/idp/shib-entrypoint.sh
index 9b3ece0..5439cc5 100755
--- a/idp/shib-entrypoint.sh
+++ b/idp/shib-entrypoint.sh
@@ -1,5 +1,11 @@
#!/bin/sh
+# Check if ldap can be connected to
+ldap_host=$(awk -F'/' '/idp.authn.LDAP.ldapURL=/ {print $3}' /opt/shibboleth-idp/conf/ldap.properties)
+if ! nc -w 3 -z $ldap_host 636; then
+ echo "Unable to connect to ldaps://$ldap_host"
+ exit 1
+fi
# if there is a metadata file for the test sp, enable it.
if [ -f /metadata/sp-metadata.xml ]; then
diff --git a/idp/shibboleth-identity-provider-3.3.2.tar.gz.sha256 b/idp/shibboleth-identity-provider-3.3.2.tar.gz.sha256
deleted file mode 100644
index df673fc..0000000
--- a/idp/shibboleth-identity-provider-3.3.2.tar.gz.sha256
+++ /dev/null
@@ -1 +0,0 @@
-ed9fbefd273199d2841d4045b2661671c53825ed3c7d52d38bfe516b39d5fc64 shibboleth-identity-provider-3.3.2.tar.gz
diff --git a/idp/shibboleth-identity-provider-3.4.0.tar.gz.sha256 b/idp/shibboleth-identity-provider-3.4.0.tar.gz.sha256
new file mode 100644
index 0000000..6fa719b
--- /dev/null
+++ b/idp/shibboleth-identity-provider-3.4.0.tar.gz.sha256
@@ -0,0 +1 @@
+3a6bb6ec42ae22a44ad52bb108875e9699167c808645e7e43137d108841e41ad shibboleth-identity-provider-3.4.0.tar.gz